From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/teleport/
Date: Fri, 20 Apr 2018 06:50:20 +0000 (UTC) [thread overview]
Message-ID: <1524207018.72b3418f45409272f6fd7d15dc0182b3b3f6ee9b.mgorny@gentoo> (raw)
commit: 72b3418f45409272f6fd7d15dc0182b3b3f6ee9b
Author: Graeme Lawes <graemelawes <AT> gmail <DOT> com>
AuthorDate: Wed Apr 4 21:44:24 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 20 06:50:18 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72b3418f
sys-cluster/teleport: add v2.5.6
Closes: https://github.com/gentoo/gentoo/pull/7812
sys-cluster/teleport/Manifest | 1 +
sys-cluster/teleport/teleport-2.5.6.ebuild | 57 ++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/sys-cluster/teleport/Manifest b/sys-cluster/teleport/Manifest
index e34331f1db3..d1686e71f31 100644
--- a/sys-cluster/teleport/Manifest
+++ b/sys-cluster/teleport/Manifest
@@ -1,3 +1,4 @@
DIST teleport-2.4.2.tar.gz 9975909 BLAKE2B 68916e1d15f49448e918b39b2a760f90eca292b07f61e51cfe125eb99c6b36d95a528cfec40b62cd61893ce81edbf5f26066eb59063214369402e2a62d07bd5e SHA512 f9c2f923e05c8fa0b82708955c944e1bd35da2e6bf8b673832e76c91b918a4bc6d6666797faf0f7572cfaa7341991ef8937cd9b374cdc273271aff45f96b2960
DIST teleport-2.4.5.tar.gz 9975753 BLAKE2B cdb6e577cd565cf6760d73c92cac674571e9b1257d23b280bd96428cca4e7c593738a925d3632a80fed3e0868c5f3aac79800db19bbf2a2b92d495600bf014cc SHA512 15e7e3c52c058625eb525c7c9cda00186eba037edbed89d21fb090b87c05570a1636f328260d4c7445253b0f5b81f321ce0da7d2b7fc316a0a9938ed22cc6c9c
DIST teleport-2.5.2.tar.gz 16211219 BLAKE2B 28d0d1bb8d01fba39e79a262744b69a9df27438b9dbb0a25cd23acd57b6004a7f2309e432c0db4188c2e023a0b0299fd64723acfd57c1328d2345bba08fff4a9 SHA512 58fad4015824b9077bbd13cc3c6a994e5a54ed367264477854da7b129eea04c4cba44a580650a259b01f390a9f2028d7501df2ac4ab4821d085bbfe1cd887ec5
+DIST teleport-2.5.6.tar.gz 16216649 BLAKE2B e5ae8645d59df2684601dab5c222399d89b356592774365ffbca4e3f2d9ed745f2839902ee1e244c7b7eb300230d771daa754bbbbe29fc8e79f833715094d4f2 SHA512 fae1eb53ff45115551c5002745303cd0e9a044557e6e56cda870a57531700bb68e23b59d2930ac2dd654b200732edc3ed9432e1bc0e9dbf0e7529e980599a323
diff --git a/sys-cluster/teleport/teleport-2.5.6.ebuild b/sys-cluster/teleport/teleport-2.5.6.ebuild
new file mode 100644
index 00000000000..88cd1995a47
--- /dev/null
+++ b/sys-cluster/teleport/teleport-2.5.6.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils golang-build systemd user
+
+DESCRIPTION="Modern SSH server for teams managing distributed infrastructure"
+HOMEPAGE="https://gravitational.com/teleport"
+
+EGO_PN="github.com/gravitational/${PN}/..."
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3 golang-vcs
+ EGIT_REPO_URI="https://github.com/gravitational/${PN}.git"
+else
+ inherit golang-vcs-snapshot
+ SRC_URI="https://github.com/gravitational/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+IUSE=""
+LICENSE="Apache-2.0"
+RESTRICT="test strip"
+SLOT="0"
+
+DEPEND="
+ app-arch/zip
+ >=dev-lang/go-1.9.2"
+RDEPEND=""
+
+src_prepare() {
+ default
+
+ sed -i -e 's/-j 3/-j 1/g' src/${EGO_PN%/*}/Makefile || die
+}
+
+src_compile() {
+ BUILDFLAGS="" GOPATH="${S}" emake -j1 -C src/${EGO_PN%/*} full
+}
+
+src_install() {
+ keepdir /var/lib/${PN} /etc/${PN}
+ dobin src/${EGO_PN%/*}/build/{tsh,tctl,teleport}
+
+ insinto /etc/${PN}
+ doins "${FILESDIR}"/${PN}.yaml
+
+ newinitd "${FILESDIR}"/${PN}-2.5.init.d ${PN}
+ newconfd "${FILESDIR}"/${PN}.conf.d ${PN}
+
+ systemd_newunit "${FILESDIR}"/${PN}-2.5.service ${PN}.service
+ systemd_install_serviced "${FILESDIR}"/${PN}.service.conf ${PN}.service
+}
+
+src_test() {
+ BUILDFLAGS="" GOPATH="${S}" emake -C src/${EGO_PN%/*} test
+}
next reply other threads:[~2018-04-20 6:50 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-04-20 6:50 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-19 20:41 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/teleport/ Arthur Zamarin
2021-03-20 8:25 Joonas Niilola
2019-11-11 15:27 Joonas Niilola
2019-11-11 15:27 Joonas Niilola
2019-10-11 13:48 Joonas Niilola
2019-10-11 13:48 Joonas Niilola
2019-10-11 13:48 Joonas Niilola
2019-10-11 13:48 Joonas Niilola
2019-10-11 13:48 Joonas Niilola
2019-06-27 15:03 Michał Górny
2019-06-27 15:03 Michał Górny
2019-06-20 6:32 Michał Górny
2019-06-20 6:32 Michał Górny
2019-06-20 6:32 Michał Górny
2019-06-20 6:32 Michał Górny
2019-04-09 12:06 Patrice Clement
2019-04-09 12:06 Patrice Clement
2019-04-09 12:06 Patrice Clement
2019-04-09 12:06 Patrice Clement
2019-04-09 12:06 Patrice Clement
2019-04-09 12:06 Patrice Clement
2019-04-09 12:06 Patrice Clement
2018-10-19 8:27 Michał Górny
2018-08-05 21:48 Patrice Clement
2018-08-05 21:48 Patrice Clement
2018-07-26 20:39 Michał Górny
2018-07-26 20:39 Michał Górny
2018-07-26 20:39 Michał Górny
2018-07-26 20:39 Michał Górny
2018-07-26 20:39 Michał Górny
2018-03-18 8:33 Michał Górny
2018-03-18 8:33 Michał Górny
2018-03-03 11:00 Michał Górny
2018-01-27 9:02 Michał Górny
2018-01-27 9:02 Michał Górny
2017-09-02 15:20 Michael Palimaka
2017-08-19 18:34 Michał Górny
2017-06-23 13:50 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1524207018.72b3418f45409272f6fd7d15dc0182b3b3f6ee9b.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox